package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 档案记录对象 t_archive_log
 *
 * @author hxhq
 * @date 2026-01-23
 */
@TableName("t_archive_log")
public class ArchiveLog extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 类型1试验非试验，3供试品，5供试品领取发放，7给药制剂，9给药制剂领取发放，11麻精药，13麻精药领取发放，15试剂 */
    private Integer type;

    /** 类型1试验，5非试验表单，10麻精药表单 */
    private Integer studyType;

    /** 对应id */
    private Long targetId;

    /** 名称 */
    private String name;

    /** 编号/批号 */
    private String sn;

    /** 试验负责人/规格/目的/浓度 */
    private String leader;

    /** 操作类型 */
    private String operateType;

    /** 操作类型_英文 */
    private String operateTypeEn;

    /** 操作人 */
    private String operateUser;

    /** 操作人_英文 */
    private String operateUserEn;


    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }

    public void setStudyType(Integer studyType)
    {
        this.studyType = studyType;
    }

    public Integer getStudyType()
    {
        return studyType;
    }

    public void setTargetId(Long targetId)
    {
        this.targetId = targetId;
    }

    public Long getTargetId()
    {
        return targetId;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    public void setSn(String sn)
    {
        this.sn = sn;
    }

    public String getSn()
    {
        return sn;
    }

    public void setLeader(String leader)
    {
        this.leader = leader;
    }

    public String getLeader()
    {
        return leader;
    }

    public void setOperateType(String operateType)
    {
        this.operateType = operateType;
    }

    public String getOperateType()
    {
        return operateType;
    }

    public void setOperateTypeEn(String operateTypeEn)
    {
        this.operateTypeEn = operateTypeEn;
    }

    public String getOperateTypeEn()
    {
        return operateTypeEn;
    }

    public void setOperateUser(String operateUser)
    {
        this.operateUser = operateUser;
    }

    public String getOperateUser()
    {
        return operateUser;
    }

    public void setOperateUserEn(String operateUserEn)
    {
        this.operateUserEn = operateUserEn;
    }

    public String getOperateUserEn()
    {
        return operateUserEn;
    }

}
